# $Revision: 1.29.2.4 $, $Date: 2007/04/19 20:33:25 $
Summary:	Volume control plugin for the Xfce panel
Summary(pl):	Wtyczka sterujca gonoci dla panelu Xfce
Name:		xfce4-mixer
Version:	4.4.1
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	79d26fb39a9e051f48186e0a359813bf
Patch0:		%{name}-locale-names.patch
URL:		http://www.xfce.org/
BuildRequires:	alsa-lib-devel >= 1.0.11
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= %{version}
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	alsa-lib >= 1.0.11
Requires:	xfce4-panel >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-mixer is the volume control plugin for the Xfce panel. Includes
a simple sound mixer.

%description -l pl
xfce4-mixer to wtyczka sterujca gonoci dla panelu Xfce. Zawiera
prosty mikser dwiku.

%prep
%setup -q
%patch0 -p1

mv -f po/{nb_NO,nb}.po
mv -f po/{pt_PT,pt}.po

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-static \
	--with-sound=alsa

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING README TODO
%attr(755,root,root) %{_bindir}/xfce4-mixer
%attr(755,root,root) %{_libdir}/xfce4/mcs-plugins/*.so
# why no -avoid-version?
%attr(755,root,root) %{_libdir}/xfce4/modules/lib*.so*
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-mixer-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-mixer.desktop
%{_iconsdir}/hicolor/*/*/*

%{_desktopdir}/xfce-mixer-settings.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-mixer.spec,v $
Revision 1.29.2.4  2007/04/19 20:33:25  megabajt
- updated to 4.4.1

Revision 1.29.2.3  2007/01/29 10:38:38  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.39  2007/01/22 18:17:10  megabajt
- updated to 4.4.0

Revision 1.38  2006/11/06 20:57:24  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps
- proper license (GPL)

Revision 1.37  2006/09/08 19:59:03  megabajt
- up to 4.3.99.1

Revision 1.36  2006/09/03 22:31:23  glen
- typo

Revision 1.35  2006/09/03 22:09:46  qboosh
- R(post,postun): hicolor-icon-theme

Revision 1.34  2006/09/02 20:23:42  megabajt
- use rpm macros, rel. 2

Revision 1.33  2006/07/16 20:10:24  freetz
- merged from DEVEL

Revision 1.32.2.3  2006/07/16 20:09:55  freetz
- 4.3.90.2, updated deps, use alsa by default, --as-needed support

Revision 1.32.2.2  2006/05/17 05:15:54  charles
- BR: intltool

Revision 1.32.2.1  2006/04/27 20:43:07  troll
- updated to 4.3.90.1

Revision 1.29.2.2  2006/07/05 10:33:15  havner
- force using alsa, auto tends to choose oss

Revision 1.29.2.1  2006/07/05 10:24:48  havner
- 4.2.3, HEAD merge

Revision 1.32  2006/04/20 09:29:11  ankry
- tab

Revision 1.31  2005/11/10 06:01:13  charles
- updated to 4.2.3

Revision 1.30  2005/05/20 04:04:31  koorek
- updated to 4.2.2
- BR xfce4-dev-tools

Revision 1.29  2005/03/16 12:54:42  charles
- BR: gettext-devel, libxfce4mcs-devel, xfce-mcs-manager-devel

Revision 1.28  2005/03/16 02:46:59  koorek
- updated to 4.2.1

Revision 1.27  2005/01/17 18:33:09  charles
- updated to 4.2.0 final

Revision 1.26  2004/12/28 10:34:17  troll
- grrr, stupid locales

Revision 1.25  2004/12/28 10:23:25  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.24  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.23  2004/12/22 15:12:24  havner
- rel up for proper BR

Revision 1.22  2004/12/22 10:52:06  charles
- corrected BR and R to equal version conforming library compatibility

Revision 1.21  2004/12/14 01:16:16  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.20  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.19  2004/11/25 23:22:19  qboosh
- cleanup (startup-notification is required by libxfcegui4)
- more verbose modules list

Revision 1.18  2004/11/25 06:48:54  troll
- merged from DEVEL

Revision 1.15.2.8  2004/11/16 06:11:48  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.15.2.7  2004/11/07 15:18:38  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.15.2.6  2004/10/07 15:24:28  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.15.2.5  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.15.2.4  2004/08/13 18:49:44  havner
- proper version
- proper BR (what about startup-notification)
- 20040813

Revision 1.15.2.3  2004/08/07 14:18:04  havner
- 20040806

Revision 1.15.2.2  2004/06/22 13:22:19  jpc
- fixes from troll
- cosmetics

Revision 1.15.2.1  2004/06/17 10:06:26  jpc
- new snap (20040617)
- autotoolize

Revision 1.15  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.14  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.13  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.12  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.11  2004/01/12 22:04:53  undefine
- release 2, copy config.sub to allow build on amd64

Revision 1.10  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.9  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.8  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.7  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.6  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.5  2003/08/28 12:03:54  troll
- fixed *Requires' versions

Revision 1.4  2003/08/27 09:21:06  pascalek
- updated to 3.99.3

Revision 1.3  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.2  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.1  2003/06/17 14:22:15  qboosh
- new (remaining xfce4 packages)
